swish-0.9.0.7: A semantic web toolkit.

Portability | H98
Stability | experimental
Maintainer | Douglas Burke
Safe Haskell | None

Swish.RDF.BuiltIn.Datatypes

Description

This module collects references and provides access to all of the datatypes built in to Swish.

Synopsis

- allDatatypes :: [RDFDatatype]
- findRDFDatatype :: ScopedName -> Maybe RDFDatatype

# Documentation

allDatatypes :: [RDFDatatype]Source

Al the data type declarations built into Swish.

findRDFDatatype :: ScopedName -> Maybe RDFDatatype Source

Look up a data type declaration.